Subject: Create encryption hash if none was defined
Description

Currently you'll get an exception if you didn't define an encryption hash:

#1258991855: You must configure an encryption key for the HashService

Most people won't see this message though because there's a default encryption key defined in the Base distibution. A bad idea,
because many people will just leave it like it is.

Therefore we should:

    -  not provide a default encryption key
    -  let the HashService generate a random key if none exists and save it into the global Settings.yaml file

Related issues:
related to TYPO3.Neos - Task # 7517: Implement feature #7516 (encryption hash... Resolved 2010-06-23

Associated revisions
Revision 8c77d74a - 2010-04-28 15:34 - Robert Lemke

[~TASK] FLOW3 (Core): The Bootstrap will now accept only "Production" or "Development" as valid contexts because this is how we currently use
FLOW3. As soon as we really now how we want to support additional contexts, we can make it more flexible again. As a side effect, FLOW3 won't
complain about missing context directories in the global Configuration dir.
[~TASK] FLOW3 (Security): Set a default encryption key for the time being until automatic generation is implemented. Relates to #7516

Revision 29fd0888 - 2010-06-23 17:03 - Karsten Dambekalns

[+FEATURE] FLOW3 (Security): Implemented request to "Create encryption hash if none was defined", resolves #7516, resolves #7517.

Revision 77da1c91 - 2010-06-23 17:04 - Karsten Dambekalns

[+FEATURE] FLOW3 (Security): Implemented request to "Create encryption hash if none was defined", resolves #7516, resolves #7517.

History
#1 - 2010-05-28 17:42 - Robert Lemke
- Target version deleted (1.0 alpha 9)

#2 - 2010-06-23 13:07 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 10
- Start date changed from 2010-04-28 to 2010-06-23
- Estimated time set to 2.00

#3 - 2010-06-23 17:06 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4616.

2015-08-03 2/2


